## dh-python 4.20201102+nmu1

=== tests/Makefile ===
#!/usr/bin/make -f

# enable or disable tests here:
#TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
TESTS := test101 test301 test302 test303 test304

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb *\.buildinfo
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== tests/t204/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	grep -q python2.6 debian/foo/usr/share/foo/foo.py
	grep -q Depends:.*python debian/foo/DEBIAN/control
	#grep -q python2.5 debian/foo/usr/share/bar/bar.py
	#grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	grep -q python2.4 debian/foo/usr/share/foo/baz.py
	test ! -x debian/foo/usr/share/foo/baz.py
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control && false || true

=== tests/t207/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python2.4 hardcoded via `dh_python2 -shebang ...python2.4`
	grep -q '\-V 2.4 /usr/share/baz24' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/baz24 \-V 2.4' debian/foo/DEBIAN/postinst
	grep -q '#! /usr/bin/python2.4 -OO' debian/foo/usr/share/baz24/baz.py
	# python2.6 hardcoded via shebang - test ignored as 2.6 is no longer supported
	#grep -q '\-V 2.6 /usr/share/foo' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	#grep -q '/usr/share/foo \-V 2.6' debian/foo/DEBIAN/postinst
	# /env removed from shebang 
	grep -q '#! /usr/bin/python2' debian/foo/usr/share/bar/bar.py
	# /local removed from shebang 
	grep -q '#! /usr/bin/python2' debian/foo/usr/share/foo/baz.py
	grep -q '#! /usr/bin/python2.6' debian/foo/usr/share/foo/foo.py

=== tests/t301/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -qe "Depends: .*python3\(:any\)\? (<< 3.9)" debian/python3-foo/DEBIAN/control
	grep -q "Recommends: .*python3-mako" debian/python3-foo/DEBIAN/control
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test ! -f debian/python3-foo/usr/lib/python3/dist-packages/foo/spam.py

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== tests/t302/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "py3compile -p python3-foo /usr/lib/python3-foo"\
		debian/python3-foo/DEBIAN/postinst
	[ "`find debian/python3-foo/usr/lib/python3/dist-packages/foo -name 'bar.cpython-*.so'`" != "" ]
	# test if moved from include/python3.X/ to include/python3.Xm/ (for Python << 3.8)
	#test -f debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)m/foo.h

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== tests/t303/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo.py
	test ! -d debian/python3-foo/usr/lib/python3.*/site-packages

clean:
	./debian/rules clean

=== tests/t304/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python3.2 hardcoded via `dh_python3 --shebang ...python3.2`
	grep -q '#! /usr/bin/python3.2 -OO' debian/foo/usr/share/baz32/baz.py
	# python3.4 hardcoded via shebang
	grep -q '/usr/share/foo \-V 3.4' debian/foo/DEBIAN/postinst
	# /env removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/bar/bar.py
	# /local removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/foo/baz.py
	grep -q '#! /usr/bin/python3.4' debian/foo/usr/share/foo/foo.py
	# make sure /usr/share/doc/ is ignored
	grep -q -v "py3compile -p foo /usr/share/doc"\
		debian/foo/DEBIAN/postinst

=== debian/changelog ===
dh-python (4.20201102+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * Don't fail tests just because the default python gets hardcoded
    (Closes: #975536)

 -- Paul Gevers <elbrus@debian.org>  Sat, 27 Feb 2021 19:51:37 +0100

=== tests/t205/debian/changelog ===
foo (0.1.1) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Mar 2011 21:09:27 +0200

=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12), python3-minimal, libpython3-stdlib, libdpkg-perl,
# provides rst2man command (use python-docutils to avoid circular deps):
 python3-docutils,
# used by tests: (disabled to avoid circular deps with python3)
# python3-nose,
# python3-all, python3-all-dbg, python3-all-dev,
# python-all, python-all-dbg, python-all-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python

Package: dh-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
# depend on distutils to avoid adding it to Build-Depends in other packages
 python3-distutils | python3 (<< 3.6.5~rc1-1)
Provides: dh-sequence-python3, dh-sequence-pypy, dh-sequence-python2
Suggests: libdpkg-perl, dpkg-dev
Breaks:
# due to /usr/bin/dh_python3 and debhelper files
 python3 (<< 3.3.2-4~),
# due to /usr/bin/dh_python2 and debhelper files
 python,
 python2 (<< 2.7.18-2)
Replaces: python3 (<< 3.3.2-4~), python (<< 2.7.18-2), python2 (<< 2.7.18-2) 
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

clean:
	make clean
	dh_clean

override_dh_auto_test:
	#make tests
	# FIXME: enable above line once python3 doesn't depend on dh-python anymore
	# (i.e. there are no circular dependencies)

override_dh_auto_install:
	DESTDIR=debian/dh-python PREFIX=/usr make install manpages
	# generate maintainer scripts, etc.
	./dh_python3

=== tests/t302/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

override_dh_install:
	dh_install
	# install also as private extension
	dh_install debian/python3-foo/usr/local/lib/python3*/dist-packages/foo/bar*.so \
		/usr/lib/python3-foo/
	DH_VERBOSE=1 ../../dh_python3

comma:=,
empty:=
space:= $(empty) $(empty)
PYTHONS=$(subst $(comma),$(space),$(DEBPYTHON3_SUPPORTED))
override_dh_auto_build:
	for ver in $(PYTHONS); do\
	  python$$ver setup.py build; done

override_dh_auto_install:
	for ver in $(PYTHONS); do\
	  python$$ver setup.py install --root=debian/python3-foo;\
	done
	mkdir -p debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)/
	touch debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)/foo.h

override_dh_auto_clean:

=== debian/tests/control ===
Tests: dh-python
Depends: python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, pypy,
         build-essential, fakeroot, debhelper, dh-python, libjs-jquery

Tests: nosetests
Depends: python3-nose, python-all, python-all-dbg, python3-all, python3-all-dbg, pypy,
         dh-python, flit
Restrictions: allow-stderr

=== tests/t101/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
# , dh-python
Standards-Version: 3.9.4

Package: pypy-foo
Architecture: all
Depends: ${pypy3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public PyPy modules
 example package #1

=== tests/t201/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all
Standards-Version: 3.9.0
XS-Python-Version: >= 2.4

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: foo,
 ${python:Breaks}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: foo to rule them all
 example package #1

=== tests/t203/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.6

Package: python-foo
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: ${python:Breaks}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: foo to rule them all
 example package #3 - Python extension

=== tests/t204/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.1

Package: foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Description: example 4 - private directory
 example package #4 - private directory

=== tests/t205/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.1

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: example 5 - namespace feature
 example package #5 - dropping __init__.py file from binary package and
 recreating it at install time (and removing at in remove time)

=== tests/t206/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.1

Package: foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Description: example 6 - private directory with hardcoded Python version
 example package #6 - private directories that support:
  * python2.4 hardcoded via `dh_python2 -V 2.4`
  * python2.5 due to X-Python-Version: 2.5
  * python2.6 hardcoded via shebang

=== tests/t207/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.3

Package: foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: example 7 - shebangs
 example package #7 - shebang related tests

=== tests/t301/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all
Standards-Version: 3.9.0
X-Python3-Version: >= 3.1, << 3.9

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Enhances: ${python3:Enhances}
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: foo to rule them all
 example package #1

=== tests/t304/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python3
Standards-Version: 3.9.3

Package: foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 4 - shebangs
 example package #4 - shebang related tests

## dh-python 5.20211229~bpo11+1

=== debian/changelog ===
dh-python (5.20211229~bpo11+1) UNRELEASED; urgency=medium

  * bullseye-backports Rebuilt for bullseye.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Dec 2021 13:42:54 +0000

dh-python (5.20211229) unstable; urgency=medium

  * debian/rules: respect DEB_BUILD_OPTIONS=nocheck, thanks Antonio Terceiro.
  * dh_python2(1) and dh_python3(1): Correct the field order for pyinstall
    files.
  * Rename pep517 plugin to pyproject, we expect this to be amended by future
    PEPs.
  * Allow explicitly selecting a pybuild plugin with a Build-Depends on
    pybuild-plugin-NAME, when such a binary package exists.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 29 Dec 2021 15:26:43 -0400

dh-python (5.20211225) unstable; urgency=medium

  * pybuild: fix rst2man error, thanks Louis-Philippe Véronneau.
  * pybuild: Use the pytest runner for one of the pep517 test suites.
  * dh_python*: Fix a crash when attempting to apply an environment markers to
    an unknown module. (closes: 1002182)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Dec 2021 12:29:37 -0400

dh-python (5.20211217) unstable; urgency=medium

  * Ignore environment markers for Python 2.7, our logic is specific to 3.x.
  * Ignore requires.txt sections with un-parseable section headers.
    (closes: 1001838)
  * Handle extraneous parentheses in requires.txt section headers.
  * pep517 plugin: Throw an error if an UNKNOWN-*.whl is built.
  * pep517 plugin: Gracefully skip wheel unpack if it appears to have already
    been unpacked by a package calling build twice.
  * dh_python*: Don't delete empty directories in private dirs. (closes: 908999)
  * pybuild: Sort plugin list for consistent selection, instead of relying on
    file-system semantics. (closes: 978949)
  * Correctly parse "== 1.*" style version constraints. (closes: 981752)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Declare Rules-Requires-Root: no.
  * Strip changelog trailing whitespace.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Dec 2021 16:13:38 -0400

dh-python (5.20211216) unstable; urgency=medium

  * Use a consistent distribution name regexp to handle dashed names
    correctly, thanks Nicolas Dandrimont.
  * Un-constrain python_version constraints where the minimum version is < 3.
  * Ignore python_version constraints where the maximum version is < 3.
    (closes: 1001799)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 16 Dec 2021 12:39:55 -0400

dh-python (5.20211214) unstable; urgency=medium

  * Fix a bug in dist-info extra section parsing, thanks Stuart Prescott.
  * Remove LICENSE.md from dist-info, as well as LICENSE.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Dec 2021 18:31:53 -0400

dh-python (5.20211213) unstable; urgency=medium

  [ Stefano Rivera ]
  * Document that pybuild --name overrides --dest-dir.
  * Use Python 3 examples in the manpage, thanks Louis-Philippe Véronneau.
  * Handle dist-info extra sections the same way we do for requirements.txt.
    (closes: 998374)
  * Add support for environment markers.
    (closes: 815654, 834133, 922468, 978686)
  * Expand on --depends-section=SECTION and similar in dh_python3(1), and
    mention multiple use.
  * Port to python3-tomli (following the PyPA projects).

  [ Piotr Ożarowski ]
  * dh_python3: Remove duplicate .abi3.so public extension even if it differs
    from the one generated by previous interpreter

  [ Stefano Rivera ]
  * Add new pep517 plugin that uses python3-build + python3-installer to build
    Python modules as wheels and then unpack the wheel. This is the new
    interface used by modern Python packaging tools. (Closes: #984824)
    - The plugin is still in beta, so other plugins will be used in preference
      to it, unless explicitly specified.
    - Adds a new binary package dh-python-pep517, for convenience in selecting
      the plugin.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 13 Dec 2021 19:09:53 -0400

dh-python (5.20211114) unstable; urgency=medium

  * Avoid the dependency on python-ply for testpb03, this was removed in
    Ubuntu, already.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 17:41:28 -0800

dh-python (5.20211105) unstable; urgency=medium

  * Add tpb03 - a test covering pybuild building Python 2 and 3 packages.
  * Document pybuild environment variables in pybuild(1) (closes: #997469)
  * pybuild: Only generate --test-* dependencies in the test target.
  * pybuild: Fix tox autodetection, broken since it was renamed from
    python3-tox.
  * pybuild tox plugin: Delete pydistutils.cfg before calling tox, to avoid
    breaking it. Switching keys to underscores in 5.20211022 brought them to
    pip's attention, and it tried to install to /usr. (closes: 997485, 998581)
  * pybuild tox plugin: Use tox --sitepackages to use Debian packages to
    resolve test dependencies (closes: 960048)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Nov 2021 00:44:25 -0700

dh-python (5.20211022.1) unstable; urgency=medium

  * dhpython/debhelper.py: Ignore trailing newlines in debian/control
    (closes: 996995)
  * Add test cases for broken failed debian/control parsing.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Oct 2021 13:13:43 -0700

dh-python (5.20211022) unstable; urgency=medium

  * pybuild distutils plugin: Use underscore separated keys in
    pydistutils.cfg, following setuptools 54.1's deprecation of
    dash-separation.
  * dhpython/debhelper.py: Don't consider two blank lines to be an empty
    paragraph. (closes: 996995)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Oct 2021 11:15:23 -0700

dh-python (5.20211021) unstable; urgency=medium

  * dh_python3(1): Clarify where the dependencies come from. (closes: 930950)
  * Rewrite dhpython/debhelper.py's debian/control parsing to do 2 passes and
    avoid relying on conventional field order. (closes: 996949)
  * Parse Build-Depends-Arch too, when making assumptions based on
    Build-Depends.



## dh-python 5.20220101~bpo11+1

=== debian/changelog ===
dh-python (5.20220101~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:10:05 -0400

dh-python (5.20220101) unstable; urgency=medium

  * Handle complex environment markers with both quote types.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Jan 2022 16:33:28 -0400

dh-python (5.20211231) unstable; urgency=medium

  * Handle parenthetical environment markers.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 31 Dec 2021 15:01:25 -0400

dh-python (5.20211230) unstable; urgency=medium

  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Dec 2021 20:06:24 -0400

=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12),
 python3-minimal, libpython3-stdlib, libdpkg-perl,
# provides rst2man command (use python-docutils to avoid circular deps):
 python3-docutils,
# used by tests:
 python3-all, python3-all-dbg, python3-all-dev,
 python3-nose
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
Rules-Requires-Root: no

Package: dh-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
# depend on distutils to avoid adding it to Build-Depends in other packages
 python3-distutils | python3 (<< 3.6.5~rc1-1)
Provides:
 dh-sequence-pypy,
 dh-sequence-python2,
 dh-sequence-python3,
Suggests: libdpkg-perl, dpkg-dev, flit, python3-build, python3-tomli, python3-installer
Breaks:
# due to /usr/bin/dh_python3 and debhelper files
 python3 (<< 3.3.2-4~),
# due to /usr/bin/dh_python2 and debhelper files
 python (<< 2.7.18-2),
 python2 (<< 2.7.18-2)
Replaces: python3 (<< 3.3.2-4~), python (<< 2.7.18-2), python2 (<< 2.7.18-2)
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

Package: pybuild-plugin-pyproject
Architecture: all
Multi-Arch: foreign
Depends:
 dh-python (= ${source:Version}),
 python3-build (>> 0.7~),
 python3-installer,
 python3-tomli,
Provides: dh-python-pep517
Description: Debian helper tools for packaging Python libraries using PEP517
 This metapackage depends on the components necessary for building packages
 with the generic PEP517 build plugin.

## dh-python 5.20220102~bpo11+1

=== debian/changelog ===
dh-python (5.20220102~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 22 Jan 2022 08:44:14 -0400

dh-python (5.20220102) unstable; urgency=medium

  * Allow passing arguments to tox tests.
  * cmake plugin: Don't quote arguments that will be substituted (and quoted)
    by shell_command. (closes: 1003962)
  * Update pydist fallback database.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:21:08 -0400

## dh-python 5.20220215~bpo11+1

=== debian/changelog ===
dh-python (5.20220215~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 19 Feb 2022 20:34:24 -0400

dh-python (5.20220215) unstable; urgency=medium

  * pybuild plugin: Explicitly unpack wheels using the "deb_system" sysconfig
    scheme, allowing python3.10 to change the default sysconfig scheme to
    "posix_local". (LP: #1960608)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Feb 2022 20:26:39 -0400

dh-python (5.20220213) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update pydist fallback database.
  * dh_python3: Don't emit any warnings about unknown packages for modules
    that we won't depend on. (closes: 1004378)
  * Drop Provides for dh-python-pep517, replaced by pybuild-plugin-pyproject.
  * Simplify generated dependencies for "; python_version > '3'" style
    dependencies.
  * pyproject plugin: Export FLIT_NO_NETWORK=1 when building, to disable any
    attempts by flit to download build-dependencies.
  * pyproject plugin: Remove license_files from dist-info, as generated by
    hatchling. We carry the contents in debian/copyright, no need to duplicate
    it.
  * Consider DH_OPTIONS as prepended to command line options, not appended.
    (closes: 949285)
  * Support DEB_BUILD_OPTIONS=terse, thanks Matthijs Kooijman.
    (closes: 945945)

  [ Scott Kitterman ]
  * Update source lintian overrides

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for pybuild-plugin-pyproject.
  * Fix day-of-week for changelog entry 1.20130807-1.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Feb 2022 19:33:18 -0400

## dh-python 5.20220215~mx21+1

=== debian/changelog ===
dh-python (5.20220215~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 May 2022 16:22:40 -0700

=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12),
               libdpkg-perl,
               libpython3-stdlib,
               python3-all,
               python3-all-dbg,
               python3-all-dev,
               python3-docutils,
               python3-minimal,
               python3-nose
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
Rules-Requires-Root: no

Package: dh-python
Architecture: all
Multi-Arch: foreign
Depends: python3-distutils | python3 (<< 3.6.5~rc1-1),
         ${misc:Depends},
         ${python3:Depends}
Provides: dh-sequence-pypy, dh-sequence-python2, dh-sequence-python3
Suggests: dpkg-dev,
          flit,
          libdpkg-perl,
          python3-build,
          python3-installer,
          python3-tomli
Breaks: python (<< 2.7.18-2), python2 (<< 2.7.18-2), python3 (<< 3.3.2-4~)
Replaces: python (<< 2.7.18-2), python2 (<< 2.7.18-2), python3 (<< 3.3.2-4~)
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

Package: pybuild-plugin-pyproject
Architecture: all
Multi-Arch: foreign
Depends: dh-python (= ${source:Version}),
         python3-build (>> 0.7~),
         python3-installer,
         python3-tomli,
         ${misc:Depends}
Description: Debian helper tools for packaging Python libraries using PEP517
 This metapackage depends on the components necessary for building packages
 with the generic PEP517 build plugin.

=== debian/tests/control ===
Tests: dh-python
Depends: build-essential,
         debhelper,
         dh-python,
         fakeroot,
         libjs-jquery,
         pypy,
         python3-all-dbg,
         python3-all-dev
Restrictions: allow-stderr

Tests: dh-python2
Depends: build-essential,
         debhelper,
         dh-python,
         fakeroot,
         libjs-jquery,
         python-all-dbg,
         python-all-dev
Restrictions: allow-stderr

Tests: nosetests
Depends: dh-python,
         flit,
         pypy,
         python-all,
         python-all-dbg,
         python3-all,
         python3-all-dbg,
         python3-nose
Restrictions: allow-stderr

Tests: pybuild
Depends: build-essential,
         debhelper,
         dh-python,
         fakeroot,
         flit,
         pybuild-plugin-pyproject,
         python3-all,
         python3-poetry-core,
         python3-pytest,
         python3-setuptools,
         python3-tomli,
         tox
Restrictions: allow-stderr

Tests: pybuild-py2
Depends: build-essential,
         debhelper,
         dh-python,
         fakeroot,
         python-all,
         python-setuptools,
         python3-all,
         python3-setuptools
Restrictions: allow-stderr

## dh-python 5.20220403

=== tests/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 # enable or disable tests here:
-#TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
-TESTS := test101 test301 test302 test303 test304
+#TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304 test305 test306 testpb01 testpb02 testpb03 testpb04 testpb05 testpb06
+TESTS := test101 test301 test302 test303 test304 test305 test306
 
 all: $(TESTS)

=== tests/t101/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	test -f debian/pypy-foo/usr/lib/pypy/dist-packages/foo.py
	test ! -d debian/pypy-foo/usr/lib/pypy/site-packages
	test ! -d debian/pypy-foo/usr/lib/pypy/dist-packages/__pycache__
	grep -q pypycompile debian/pypy-foo/DEBIAN/postinst
	grep -q pypyclean debian/pypy-foo/DEBIAN/prerm

clean:
	./debian/rules clean

=== tests/t201/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)

check:
	grep -q "Recommends: .*python-mako" debian/python-foo/DEBIAN/control
	#grep -q 'python-foo (>= 2:0.1~rc2)' debian/python-foo/DEBIAN/control
	if [ -x /usr/bin/python2.6 ]; then\
		test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.p;\
		test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py;\
	fi
	grep -qe "Depends: .*python2\(:any\)\? (<<" debian/python-foo/DEBIAN/control
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/absolute_link_to_tmp`" = "/tmp" ]
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/link_to_parent_dir`" = ".." ]
	grep -q 'pycompile -p python-foo\s*$$' debian/python-foo/DEBIAN/postinst

clean: clean-common
	rm -rf lib/Foo.egg-info

=== tests/t202/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	test -f debian/python-foo/usr/lib/python2.7/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python2.7/dist-packages/bar/bar.py
	test \! -f debian/python-foo/usr/lib/python2.7/dist-packages/tests/__init__.py
	grep -q 'pycompile -p python-foo\s*$$' debian/python-foo/DEBIAN/postinst
	grep -q 'pyclean -p python-foo\s*$$' debian/python-foo/DEBIAN/prerm

=== tests/t203/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)
ifeq ($(DPY),2.7) 
TRIPLET=.$(DEB_HOST_MULTIARCH)
endif

check:
	grep -q "pycompile -p python-foo:$(DEB_HOST_ARCH) /usr/lib/python-foo -V $(DPY)"\
		debian/python-foo/DEBIAN/postinst
	grep -q "pyclean -p python-foo:$(DEB_HOST_ARCH) /usr/lib/python-foo -V $(DPY)"\
		debian/python-foo/DEBIAN/prerm
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar$(TRIPLET).so
	test ! -f debian/python-foo/usr/share/pyshared/foo/bar.so
	test ! -f debian/python-foo/usr/share/pyshared/foo/bar$(TRIPLET).so
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam$(TRIPLET).so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so.0.1
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz$(TRIPLET).so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux$(TRIPLET).so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0
	test ! -L debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0

clean: clean-common
	rm -rf lib/Foo.egg-info build

=== tests/t205/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# test dh_python2
	test -f debian/python-foo/usr/share/pyshared/keep_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/remove_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/foo/__init__.py
	grep -q remove_this_one debian/python-foo/usr/share/python/ns/python-foo
	grep -q foo debian/python-foo/usr/share/python/ns/python-foo
	grep -q bar.baz debian/python-foo/usr/share/python/ns/python-foo
	grep -q keep_this_one debian/python-foo/usr/share/python/ns/python-foo && false || true
	grep -q "pycompile -p python-foo\s*$$" debian/python-foo/DEBIAN/postinst
	grep -q "pyclean -p python-foo\s*$$" debian/python-foo/DEBIAN/prerm
	# test pycompile
#	DESTDIR=debian/python-foo/ ../../pycompile -v debian/python-foo/usr/lib/
#	set -e; for i in remove_this_one bar bar/baz;\
#	do [ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py | wc -l`" != '0' ];\
#	[ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc | wc -l`" != '0' ];\
#	done
	# test pyclean
#	DESTDIR=debian/python-foo/ ../../pyclean -v debian/python-foo/usr/lib/
#	set -e; for i in remove_this_one bar bar/baz;\
#	do [ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py 2>/dev/null || true | wc -l`" = 0 ];\
#	[ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc 2>/dev/null || true | wc -l`" = 0 ];\
#	done

=== tests/t206/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python2.4 hardcoded via `dh_python2 -V 2.4`
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control
	grep -q '\-V 2.4 /usr/share/baz24' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/baz24 \-V 2.4' debian/foo/DEBIAN/postinst
	# python2.5 due to X-Python-Version: 2.5
	#grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	# python2.6 hardcoded via shebang - test ignored as 2.6 is no longer supported
	#grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
	grep -q '\-V 2.6 /usr/share/foo' debian/foo/usr/share/python/runtime.d/foo.rtupdate
	grep -q '/usr/share/foo \-V 2.6' debian/foo/DEBIAN/postinst
	# python2 shebang
	grep -q Depends:.*python2 debian/foo/DEBIAN/control
	grep -q '#! /usr/bin/python2' debian/foo/usr/bin/egg

=== tests/t301/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	grep -qe "Depends: .*python3\(:any\)\? (<< 3.9)" debian/python3-foo/DEBIAN/control
	grep -q "Recommends: .*python3-mako" debian/python3-foo/DEBIAN/control
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test ! -f debian/python3-foo/usr/lib/python3/dist-packages/foo/spam.py
	grep -q 'py3compile -p python3-foo -V 3\.1-3\.9' debian/python3-foo/DEBIAN/postinst
	grep -q 'pypy3compile -p python3-foo -V 3\.1-3\.9' debian/python3-foo/DEBIAN/postinst
	grep -q 'py3clean -p python3-foo\s*$$' debian/python3-foo/DEBIAN/prerm

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== tests/t305/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5a/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5b/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5c/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5d/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5e/DEBIAN/control
	grep -qe "Depends: .*python3\(:any\)\?" debian/foo5f/DEBIAN/control

=== tests/tpb02/Makefile ===
#!/usr/bin/make -f
include ../common.mk

DI=debian/python3-foo/usr/lib/python3/dist-packages/foo-0.1.dist-info

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	grep -q ^foo/__init__.py, $(DI)/RECORD
	test ! -f $(DI)/direct_url.json
	grep -L ^foo-0.1.dist-info/direct_url.json, $(DI)/RECORD | grep -q RECORD
	grep -q 'Depends:.*python3-tomli' debian/python3-foo/DEBIAN/control
	grep -q 'Depends:.*python3-importlib-metadata \| python3 (>> 3\.5)' debian/python3-foo/DEBIAN/control
	grep -L 'Depends:.*tox' debian/python3-foo/DEBIAN/control | grep -q control
	find .pybuild -name test-executed | grep -q test-executed

clean:
	./debian/rules clean

=== tests/tpb03/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python2.7/dist-packages/foo.py
	grep -q 'Depends:.*python3-pkg-resources' debian/python3-foo/DEBIAN/control
	grep -q 'Depends:.*python-pkg-resources' debian/python-foo/DEBIAN/control

clean:
	./debian/rules clean

=== tests/tpb04/Makefile ===
#!/usr/bin/make -f
include ../common.mk

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo.py
	test -e test-executed

clean:
	./debian/rules clean

=== debian/changelog ===
dh-python (5.20220403) unstable; urgency=medium

  * Refresh pydist.
  * Replace which with command -v in autoscripts, thanks Diederik de Haas.
  * Add support for --test-custom/PYBUILD_TEST_CUSTOM. Thanks, Antonio
    Terceiro!
  * Correctly handle --interpreter python3.10 (2-digit minor version).
    (closes: 1008745)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Apr 2022 15:45:19 -0400

dh-python (5.20220119) unstable; urgency=medium

  * Allow passing arguments to tox tests.
  * cmake plugin: Don't quote arguments that will be substituted (and quoted)
    by shell_command. (closes: 1003962)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:06:38 -0400

=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12),
 python3-minimal, libpython3-stdlib, libdpkg-perl,
# provides rst2man command (use python-docutils to avoid circular deps):
 python3-docutils,
# used by tests:
 python3-all, python3-all-dbg, python3-all-dev,
 python3-nose
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
Rules-Requires-Root: no

Package: dh-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
# depend on distutils to avoid adding it to Build-Depends in other packages
 python3-distutils | python3 (<< 3.6.5~rc1-1)
Provides:
 dh-sequence-pypy,
 dh-sequence-python2,
 dh-sequence-python3,
Suggests: libdpkg-perl, dpkg-dev, flit, python3-build, python3-tomli, python3-installer
Breaks:
# due to /usr/bin/dh_python3 and debhelper files
 python3 (<< 3.3.2-4~),
# due to /usr/bin/dh_python2 and debhelper files
 python (<< 2.7.18-2),
 python2 (<< 2.7.18-2)
Replaces: python3 (<< 3.3.2-4~), python (<< 2.7.18-2), python2 (<< 2.7.18-2)
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

Package: pybuild-plugin-pyproject
Architecture: all
Multi-Arch: foreign
Depends:
 dh-python (= ${source:Version}),
 python3-build (>> 0.7~),
 python3-installer,
 python3-tomli,
 ${misc:Depends}
Description: Debian helper tools for packaging Python libraries using PEP517
 This metapackage depends on the components necessary for building packages
 with the generic PEP517 build plugin.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

clean:
	make clean
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make tests
endif

override_dh_auto_install:
	DESTDIR=debian/dh-python PREFIX=/usr make install manpages
	# generate maintainer scripts, etc.
	./dh_python3

=== tests/t201/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:

override_dh_install:
	dh_install
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	find debian/ -name foo -type d -exec \
	ln -s /tmp/ '{}/absolute_link_to_tmp' \;
	find debian/ -name foo -type d -exec \
	ln -s .. '{}/link_to_parent_dir' \;
	DH_VERBOSE=1 ../../dh_python2\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1rc2'\
		--suggests 'bar >= 1.0'

clean:
	dh_clean
	rm -rf build

=== tests/t302/debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 	# install also as private extension
 	dh_install debian/python3-foo/usr/local/lib/python3*/dist-packages/foo/bar*.so \
 		/usr/lib/python3-foo/
+	mkdir -p debian/python3-foo/usr/lib/python3/dist-packages/empty-public-dir
+	mkdir -p debian/python3-foo/usr/lib/python3-foo/empty-private-dir
 	DH_VERBOSE=1 ../../dh_python3
 
 comma:=,

=== tests/t304/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_build:
override_dh_auto_install:

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3
	DH_VERBOSE=1 ../../dh_python3 /usr/share/bar
	DH_VERBOSE=1 ../../dh_python3 /usr/share/baz32 --shebang '/usr/bin/python3.2 -OO'

clean:
	dh_clean

=== tests/t305/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=none

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/foo5e/usr/share/foo/
	echo "#! /usr/bin/env $(shell py3versions -d)\n\"/usr/bin/env DEFAULT_PYTHON shebang\"" > debian/foo5e/usr/share/foo/foo5e
	chmod +x debian/foo5e/usr/share/foo/foo5e
	mkdir -p debian/foo5f/usr/share/foo/
	echo "#! /usr/bin/$(shell py3versions -d)\n\"/usr/bin/DEFAULT_PYTHON shebang\"" > debian/foo5f/usr/share/foo/foo5f
	chmod +x debian/foo5f/usr/share/foo/foo5f

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3 /usr/share/foo

clean:
	dh_clean

=== tests/tpb03/debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=foo

%:
	dh $@

override_dh_auto_build:
	../../pybuild --build
	../../pybuild --build -p 2.7

override_dh_auto_install:
	../../pybuild --install
	../../pybuild --install -p 2.7

override_dh_auto_test:
	../../pybuild --test
	../../pybuild --test -p 2.7

override_dh_auto_clean:
	../../pybuild --clean
	../../pybuild --clean -p 2.7
	rm -rf .pybuild foo.egg-info

override_dh_installinit:
	DH_VERBOSE=1 ../../dh_python2
	DH_VERBOSE=1 ../../dh_python3
	dh_installinit

override_dh_python3:
	# ignore any system dh_python3
override_dh_python2:
	# ignore any system dh_python2

=== tests/tpb04/debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=foo

%:
	dh $@

override_dh_auto_build:
	../../pybuild --build

override_dh_auto_install:
	../../pybuild --install

override_dh_auto_test:
	../../pybuild --test --test-tox --test-args=-v

override_dh_auto_clean:
	../../pybuild --clean
	rm -rf .pybuild .tox foo.egg-info test-executed

override_dh_installinit:
	DH_VERBOSE=1 ../../dh_python3
	dh_installinit

override_dh_python3:
	# ignore any system dh_python3

=== tests/tpb05/debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=foo

%:
	dh $@

override_dh_auto_build:
	../../pybuild --build --verbose
	../../pybuild --build --verbose

override_dh_auto_install:
	../../pybuild --install
	../../pybuild --install

override_dh_auto_test:
	../../pybuild --test --test-pytest

override_dh_auto_clean:
	../../pybuild --clean --verbose
	rm -rf .pybuild foo.egg-info

override_dh_installinit:
	DH_VERBOSE=1 ../../dh_python3
	dh_installinit

override_dh_python3:
	# ignore any system dh_python3

=== debian/tests/control ===
Tests: dh-python
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 libjs-jquery,
 pypy,
 python3-all-dbg,
 python3-all-dev
Restrictions: allow-stderr

Tests: dh-python2
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 libjs-jquery,
 python-all-dbg,
 python-all-dev
Restrictions: allow-stderr

Tests: nosetests
Depends:
 dh-python,
 flit,
 pypy,
 python-all,
 python-all-dbg,
 python3-all,
 python3-all-dbg,
 python3-nose
Restrictions: allow-stderr

Tests: pybuild
Depends:
 build-essential,
 debhelper,
 dh-python,
 pybuild-plugin-pyproject,
 flit,
 fakeroot,
 python3-all,
 python3-poetry-core,
 python3-pytest,
 python3-setuptools,
 python3-tomli,
 tox
Restrictions: allow-stderr

Tests: pybuild-py2
Depends:
 build-essential,
 debhelper,
 dh-python,
 fakeroot,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
Restrictions: allow-stderr

=== tests/t202/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all
Standards-Version: 3.9.1
XS-Python-Version: >= 2.1

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: ${python:Breaks}
Description: foo to rule them all
 example package #2

=== tests/t204/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python
+Build-Depends-Indep: python2.7
 Standards-Version: 3.9.1
 
 Package: foo

=== tests/t205/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python
+Build-Depends-Indep: python2.7
 Standards-Version: 3.9.1
 
 Package: python-foo

=== tests/t206/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python
+Build-Depends-Indep: python2.7
 Standards-Version: 3.9.1
 
 Package: foo

=== tests/t207/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python
+Build-Depends-Indep: python2.7
 Standards-Version: 3.9.3
 
 Package: foo

=== tests/t303/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all-dev
Standards-Version: 3.9.1

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public Python 3 modules
 example package #4 - fix_locations test

=== tests/t306/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Maximilian Engelhardt <maxi@daemonizer.de>
Build-Depends: debhelper (>= 12.9), python3-all-dev:any
Standards-Version: 4.5.1

Package: foo
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with python3-all-dev dependency using :any
 example package #6 - private Python extensions and python3-all-dev:any
 dependency

=== tests/tpb02/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , flit
 , python3-all
 , python3-tomli
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

=== tests/tpb03/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , python3-all
 , python3-setuptools
 , python-all
 , python-setuptools
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1

=== tests/tpb04/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12)
 , python3-all
 , python3-setuptools
 , python3-tomli
 , tox
# , dh-python
Standards-Version: 3.9.4

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public CPython modules
 example package #1
